

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/mm/page_alloc.c |   12 +++++++-----
 1 files changed, 7 insertions(+), 5 deletions(-)

diff -puN mm/page_alloc.c~stop-using-base-argument-in-__free_pages_bulk-tidy mm/page_alloc.c
--- 25/mm/page_alloc.c~stop-using-base-argument-in-__free_pages_bulk-tidy	Fri Feb 11 16:54:01 2005
+++ 25-akpm/mm/page_alloc.c	Fri Feb 11 16:55:20 2005
@@ -195,26 +195,28 @@ static inline void rmv_page_order(struct
  * pair (buddy1) and the combined O(n+1) page they form (page).
  *
  * 1) Any buddy B1 will have an order O twin B2 which satisfies
- * the following equasion:
+ * the following equation:
  *     B2 = B1 ^ (1 << O)
  * For example, if the starting buddy (buddy2) is #8 its order
  * 1 buddy is #10:
  *     B2 = 8 ^ (1 << 1) = 8 ^ 2 = 10
  *
  * 2) Any buddy B will have an order O+1 parent P which
- * satisfies the following equasion:
+ * satisfies the following equation:
  *     P = B & ~(1 << O)
  *
  * Assumption: *_mem_map is contigious at least up to MAX_ORDER
  */
-static inline struct page *__page_find_buddy(struct page *page, unsigned long page_idx, unsigned int order)
+static inline struct page *
+__page_find_buddy(struct page *page, unsigned long page_idx, unsigned int order)
 {
 	unsigned long buddy_idx = page_idx ^ (1 << order);
 
-	return page + (buddy_idx - page_idx);;
+	return page + (buddy_idx - page_idx);
 }
 
-static inline unsigned long __find_combined_index(unsigned long page_idx, unsigned int order)
+static inline unsigned long
+__find_combined_index(unsigned long page_idx, unsigned int order)
 {
 	return (page_idx & ~(1 << order));
 }
_
